%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-snockets
Version:    1.3.8
Release:    15%{?dist}
Summary:    A JavaScript/CoffeeScript concatenation tool for Node.js inspired by Sprockets
# License text is included in README.mdown.
License:    MIT
URL:        https://github.com/TrevorBurnham/snockets
Source0:    http://registry.npmjs.org/snockets/-/snockets-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging
BuildRequires:  coffee-script
BuildRequires:  npm(docco)
BuildRequires:  npm(dep-graph)
BuildRequires:  npm(watchit)
BuildRequires:  npm(uglify-js) < 2

%if 0%{?enable_tests}
BuildRequires:  npm(nodeunit)
%endif

%description
%{summary}.


%prep
%setup -q -n package
# Compile from source instead.
rm -rf lib/

%nodejs_fixdep dep-graph '~1.1'
%nodejs_fixdep mime
%nodejs_fixdep uglify-js '~1.3'
%nodejs_fixdep underscore '~1.4'


%build
%nodejs_symlink_deps --check
/usr/bin/cake build
rm -rf node_modules

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/snockets
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/snockets

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
sed -i -e "/invoke 'docs'/d" Cakefile
/usr/bin/cake test
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif



%files
%doc README.mdown docs/
%{nodejs_sitelib}/snockets


%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Oct 04 2017 Jared Smith <jsmith@fedoraproject.org> - 1.3.8-11
- Relax dependency on npm(mime)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jul 29 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.8-5
- restrict to compatible arches

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.8-4
- fix BuildRequires

* Thu Jun 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.8-3
- remove pre-compiled scripts and instead run 'cake build'
- make some of the versioned dependencies less specific

* Sun Feb 17 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.8-2
- make sure modules are available in %%check

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.8-1
- initial package
